{%- import "macros.html" as macros %}
{%- set title = "Picasoft" -%}
{%- if page.title -%}
  {%- set page_title = title ~ " - " ~ page.title -%}
{%- else -%}
  {%- set page_title = title -%}
{%- endif -%}
{%- set description = "Picasoft est une association qui promeut une approche libre, inclusive, respectueuse de la vie privée, respectueuse de la liberté d’expression, respectueuse de la solidarité entre les humains et respectueuse de l’environnement, notamment dans le domaine du numérique" -%}
<!DOCTYPE html>
<html lang="fr">

  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" type="image/png" href={{ get_url(path='img/favicon.png') }}>
    <link rel="stylesheet" href={{ get_url(path='css/main.css' ) }}>

    <title>{{ page_title }}</title>
    <meta name="description" content="{{ description | safe }}">

    <meta property="og:type" content="website">
    <meta property="og:site_name" content="{{ title | safe }}">
    <meta property="og:title" content="{{ page_title | safe }}">
    <meta name="twitter:title" content="{{ page_title | safe }}">

    <meta property="twitter:domain" content="{{ config.base_url | replace(from='https://', to='') | replace(from='http://', to='') | safe }}">
    <meta property="og:url" content="{{ current_url | safe }}">
    <meta property="twitter:url" content="{{ current_url | safe }}">

    <meta property="og:description" content="{{ description | safe }}">
    <meta name="twitter:description" content="{{ description | safe }}">

  </head>

  <body class="bg-[ivory] flex flex-col align-center justify-center h-full">

    {% include "nav.html" %}

    <main class="p-8">

      {% block content %} {% endblock %}

    </main>

    {% include "footer.html" %}

  </body>

</html>
